# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class RoleAssignmentProperties(Model):
    """Role assignment properties.

    :param role_definition_id: The role definition ID used in the role
     assignment.
    :type role_definition_id: str
    :param principal_id: The principal ID assigned to the role. This maps to
     the ID inside the Active Directory. It can point to a user, service
     principal, or security group.
    :type principal_id: str
    """

    _attribute_map = {
        'role_definition_id': {'key': 'roleDefinitionId', 'type': 'str'},
        'principal_id': {'key': 'principalId', 'type': 'str'},
    }

    def __init__(self, *, role_definition_id: str=None, principal_id: str=None, **kwargs) -> None:
        super(RoleAssignmentProperties, self).__init__(**kwargs)
        self.role_definition_id = role_definition_id
        self.principal_id = principal_id
