# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class AvailableServiceSku(Model):
    """Describes the available service SKU.

    :param resource_type: The resource type, including the provider namespace
    :type resource_type: str
    :param sku: SKU name, tier, etc.
    :type sku: ~azure.mgmt.datamigration.models.AvailableServiceSkuSku
    :param capacity: A description of the scaling capacities of the SKU
    :type capacity:
     ~azure.mgmt.datamigration.models.AvailableServiceSkuCapacity
    """

    _attribute_map = {
        'resource_type': {'key': 'resourceType', 'type': 'str'},
        'sku': {'key': 'sku', 'type': 'AvailableServiceSkuSku'},
        'capacity': {'key': 'capacity', 'type': 'AvailableServiceSkuCapacity'},
    }

    def __init__(self, *, resource_type: str=None, sku=None, capacity=None, **kwargs) -> None:
        super(AvailableServiceSku, self).__init__(**kwargs)
        self.resource_type = resource_type
        self.sku = sku
        self.capacity = capacity
