# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class WaitStatistics(Model):
    """Wait statistics gathered during query batch execution.

    :param wait_type: Type of the Wait
    :type wait_type: str
    :param wait_time_ms: Total wait time in millisecond(s) . Default value: 0
     .
    :type wait_time_ms: float
    :param wait_count: Total no. of waits
    :type wait_count: long
    """

    _attribute_map = {
        'wait_type': {'key': 'waitType', 'type': 'str'},
        'wait_time_ms': {'key': 'waitTimeMs', 'type': 'float'},
        'wait_count': {'key': 'waitCount', 'type': 'long'},
    }

    def __init__(self, *, wait_type: str=None, wait_time_ms: float=0, wait_count: int=None, **kwargs) -> None:
        super(WaitStatistics, self).__init__(**kwargs)
        self.wait_type = wait_type
        self.wait_time_ms = wait_time_ms
        self.wait_count = wait_count
