# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class Deinterlace(Model):
    """Describes the de-interlacing settings.

    :param parity: The field parity for de-interlacing, defaults to Auto.
     Possible values include: 'Auto', 'TopFieldFirst', 'BottomFieldFirst'
    :type parity: str or ~azure.mgmt.media.models.DeinterlaceParity
    :param mode: The deinterlacing mode. Defaults to AutoPixelAdaptive.
     Possible values include: 'Off', 'AutoPixelAdaptive'
    :type mode: str or ~azure.mgmt.media.models.DeinterlaceMode
    """

    _attribute_map = {
        'parity': {'key': 'parity', 'type': 'DeinterlaceParity'},
        'mode': {'key': 'mode', 'type': 'DeinterlaceMode'},
    }

    def __init__(self, *, parity=None, mode=None, **kwargs) -> None:
        super(Deinterlace, self).__init__(**kwargs)
        self.parity = parity
        self.mode = mode
