# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class OperationsListResults(Model):
    """List of available operations.

    :param odatacount: OData entity count; represents the number of operations
     returned.
    :type odatacount: int
    :param value: List of available operations.
    :type value: list[~azure.mgmt.policyinsights.models.Operation]
    """

    _validation = {
        'odatacount': {'minimum': 1},
    }

    _attribute_map = {
        'odatacount': {'key': '@odata\\.count', 'type': 'int'},
        'value': {'key': 'value', 'type': '[Operation]'},
    }

    def __init__(self, *, odatacount: int=None, value=None, **kwargs) -> None:
        super(OperationsListResults, self).__init__(**kwargs)
        self.odatacount = odatacount
        self.value = value
